package com.hnshituo.core.auth.vo;

import java.io.Serializable;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.core.auth.mapper.PrivilegeMapper;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="CORE_AUTH_PRIVILEGE", namespace=PrivilegeMapper.class)
public class Privilege extends BaseVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1022183331880051424L;

	/** 角色编号 */
	@Column("ROLE_ID")
	private Integer roleId;

	/** 功能编号 */
	@Column("FUNC_ID")
	private Integer funcId;

	/** 权限类型（0:可访问，1:可授权） */
	@Column
	private Integer type;

	public Integer getRoleId() {
		return this.roleId;
	}

	public Integer getFuncId() {
		return this.funcId;
	}

	public Integer getType() {
		return this.type;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public void setFuncId(Integer funcId) {
		this.funcId = funcId;
	}

	public void setType(Integer type) {
		this.type = type;
	}

}
